org.apache.synapse.commons.beanstalk.enterprise

## Interface EnterpriseBeanstalkConstants

-     public interface EnterpriseBeanstalkConstants

  Holds constants used in the enterprise beanstalk configuration.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BEANSTALK_MANAGER_PROP_NAME` ServerContextInformation property name of the BeanstalkManager
    `static java.lang.String` | `BEANSTALK_MBEAN_CATEGORY_NAME` Category name for JMX MBeans registered to monitor beanstalks.
    `static java.lang.String` | `STATEFUL_BEANS_TIMEOUT` Cache timeout in minutes for stateful session beans
    `static java.lang.String` | `STATEFUL_BEANS_WARN_LIMIT` Warn limit for stateless session beans.
    `static java.lang.String` | `STATELESS_BEANS_TIMEOUT` Cache timeout in minutes for stateless session beans
    `static java.lang.String` | `STATELESS_BEANS_WARN_LIMIT` Warn limit for stateless session beans.
    `static java.lang.String` | `SYNAPSE_BEANSTALK_PREFIX` Prefix for beanstalk related configuration property names in synapse.properties.

- - ### Field Detail

    - #### SYNAPSE_BEANSTALK_PREFIX

          static final java.lang.String SYNAPSE_BEANSTALK_PREFIX

      Prefix for beanstalk related configuration property names in synapse.properties.
      See Also:
        Constant Field Values

    - #### STATELESS_BEANS_TIMEOUT

          static final java.lang.String STATELESS_BEANS_TIMEOUT

      Cache timeout in minutes for stateless session beans
      See Also:
        Constant Field Values

    - #### STATEFUL_BEANS_TIMEOUT

          static final java.lang.String STATEFUL_BEANS_TIMEOUT

      Cache timeout in minutes for stateful session beans
      See Also:
        Constant Field Values

    - #### STATELESS_BEANS_WARN_LIMIT

          static final java.lang.String STATELESS_BEANS_WARN_LIMIT

      Warn limit for stateless session beans. A warning is generated when more than this many of stateless bean stubs are cached in this beanstalk.
      See Also:
        Constant Field Values

    - #### STATEFUL_BEANS_WARN_LIMIT

          static final java.lang.String STATEFUL_BEANS_WARN_LIMIT

      Warn limit for stateless session beans. A warning is generated when more than this many of stateless bean stubs are cached in this beanstalk.
      See Also:
        Constant Field Values

    - #### BEANSTALK_MANAGER_PROP_NAME

          static final java.lang.String BEANSTALK_MANAGER_PROP_NAME

      ServerContextInformation property name of the BeanstalkManager
      See Also:
        Constant Field Values

    - #### BEANSTALK_MBEAN_CATEGORY_NAME

          static final java.lang.String BEANSTALK_MBEAN_CATEGORY_NAME

      Category name for JMX MBeans registered to monitor beanstalks.
      See Also:
        Constant Field Values

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.